#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wnewuserdialog.ui'
**
** Created: Sat Jul 1 10:23:21 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wnewuserdialog.h"

#include <qvariant.h>
#include <qtextbrowser.h>
#include <qframe.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a NewUserDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
NewUserDialog::NewUserDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "NewUserDialog" );
    NewUserDialogLayout = new QVBoxLayout( this, 11, 3, "NewUserDialogLayout"); 

    tb_readme = new QTextBrowser( this, "tb_readme" );
    NewUserDialogLayout->addWidget( tb_readme );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    NewUserDialogLayout->addWidget( line1 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 
    spacer1 = new QSpacerItem( 481, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacer1 );

    pb_done = new QPushButton( this, "pb_done" );
    pb_done->setMinimumSize( QSize( 111, 28 ) );
    pb_done->setFocusPolicy( QPushButton::StrongFocus );
    layout1->addWidget( pb_done );
    NewUserDialogLayout->addLayout( layout1 );
    languageChange();
    resize( QSize(707, 565).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pb_done, SIGNAL( clicked() ), this, SLOT( accept() ) );

    // tab order
    setTabOrder( pb_done, tb_readme );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewUserDialog::~NewUserDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewUserDialog::languageChange()
{
    setCaption( tr2i18n( "Maxemum TV-Guide - README (extract)" ) );
    tb_readme->setText( tr2i18n( "<br>\n"
"<h2><b>HOW TO MAKE IT WORK</b></h2>\n"
"Maxemum TV-Guide (MTVG) uses xml-files with tv-listings generated by the binaries from the XMLTV-project.<br><br>\n"
"You may find the XMLTV-project here:  <b>http://membled.com/work/apps/xmltv/</b>\n"
"<br>Debian users, check out the package \"xmltv-util\".\n"
"<br><br>\n"
"XMLTV includes different binaries for different countries. First, before running MTVG, you've\n"
"got to choose which channels you would like tv-listings for. Selecting channels is done by using\n"
"the argument <tt>--configure</tt> together with the binary for your country.\n"
"For swedish users, it might look like this (all grabbers starts with \"tv_grab_\"):\n"
"<br><br>\n"
"<tt>$ tv_grab_se_swedb --configure</tt>\n"
"<br><br>\n"
"When you have selected the channels you want listings for, enter an update command\n"
"and the path to the xml-file with the tv-listings in Preferences -> Updates.\n"
"<br><br>\n"
"I use these lines (example for swedish users, since the binary generates swedish listings):\n"
"<br><br>\n"
"XML TV-File:<br>\n"
"<tt>/home/maxe/.xmltv/mtvg.xml</tt>\n"
"<br><br>\n"
"Update Command:<br>\n"
"<tt>tv_grab_se_swedb --days 7 --offset -2 --output /home/maxe/.xmltv/mtvg.xml</tt>\n"
"<br><br>\n"
"Please use full paths to the xml-file. Now press the \"Update Now\"-button on the \"Filters\"-tab. Tada!\n"
"Please do enjoy! =)\n"
"<br><br><br>\n"
"Maxemum TV-Guide is distributed under the GNU General Public License v2.\n"
"<br><br>\n"
"(c) 2005-2006 Robert Maxe" ) );
    pb_done->setText( tr2i18n( "I knew that..." ) );
}

#include "wnewuserdialog.moc"
