/***************************************************************************
 *   Copyright (C) 2005 by Robert Maxe                                     *
 *   robmax-1@student.ltu.se                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
//-----------------------------------------------------------------------------------------------------------------------
#ifndef __PREFSDIALOG_H__
#define __PREFSDIALOG_H__
//-----------------------------------------------------------------------------------------------------------------------
#include "wprefsdialog.h"
//-----------------------------------------------------------------------------------------------------------------------
class MainWidget;
//-----------------------------------------------------------------------------------------------------------------------
class PrefsDialog : public PrefsDlg
{
	Q_OBJECT
public:
	PrefsDialog(MainWidget *parent);
	
	void loadSettings();
	void saveSettings();

public slots:
	void browseUpdateCmdClicked();
	void refresh();
	void rebuildView();
	void browseCommandClicked();
	void defaultColoursClicked();
	void detailTagsChanged();
	void updateChannels();
	void manualColWidth(bool manual);

private:
	MainWidget *m_parent;

};
//-----------------------------------------------------------------------------------------------------------------------
#endif
//-----------------------------------------------------------------------------------------------------------------------
