/***************************************************************************
 *   Copyright (C) 2005 by Robert Maxe                                     *
 *   robmax-1@student.ltu.se                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
//-----------------------------------------------------------------------------------------------------------------------------------
#include "program.h"
//-----------------------------------------------------------------------------------------------------------------------
Program::Program()
{
	m_channel = NULL;
}
//-----------------------------------------------------------------------------------------------------------------------
void Program::setStartDT()
{
	QDate date(m_start.left(4).toInt(), m_start.right(10).left(2).toInt(), m_start.right(8).left(2).toInt());
	QTime time(m_start.right(6).left(2).toInt(), m_start.right(4).left(2).toInt());
	m_startDT.setDate(date);
	m_startDT.setTime(time);
}
//-----------------------------------------------------------------------------------------------------------------------
void Program::setStopDT()
{
        QDate date(m_stop.left(4).toInt(), m_stop.right(10).left(2).toInt(), m_stop.right(8).left(2).toInt());
	QTime time(m_stop.right(6).left(2).toInt(), m_stop.right(4).left(2).toInt());
	m_stopDT.setDate(date);
	m_stopDT.setTime(time);
}
//-----------------------------------------------------------------------------------------------------------------------
void Program::calculateDuration()
{
	m_duration = m_duration.addSecs(startDT().secsTo(stopDT()));
}
//-----------------------------------------------------------------------------------------------------------------------
